Package org.eclipse.mat.ui.internal.browser

# Interface QueryBrowserPopup.Element

Enclosing class:
  QueryBrowserPopup

public static interface QueryBrowserPopup.Element

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(MultiPaneEditor editor, boolean forcePrompt)`
`ImageDescriptor`
`getImageDescriptor()`
`String`
`getLabel()`
`QueryDescriptor`
`getQuery()`
`String`
`getUsage()`

## Method Details

### getLabel

String getLabel()

### getUsage

String getUsage()

### getQuery

QueryDescriptor getQuery()

### getImageDescriptor

ImageDescriptor getImageDescriptor()

### execute

void execute(MultiPaneEditor editor, boolean forcePrompt) throws SnapshotException

Throws:
  `SnapshotException`